## dlt-viewer 2.23.0+dfsg

=== CMakeLists.txt ===
# SPDX-License-Identifier: MPL-2.0
#
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author

cmake_minimum_required (VERSION 3.15)

include(scripts/windows/version.cmake)
include(scripts/linux/version.cmake)

project(dlt-viewer
    VERSION ${DLT_PROJECT_VERSION_MAJOR}.${DLT_PROJECT_VERSION_MINOR}.${DLT_PROJECT_VERSION_PATCH}
    DESCRIPTION "DLT Viewer")
message(STATUS "DLT Viewer version: ${DLT_PROJECT_VERSION_MAJOR}.${DLT_PROJECT_VERSION_MINOR}.${DLT_PROJECT_VERSION_PATCH}-${DLT_VERSION_SUFFIX}")

file(WRITE "${CMAKE_BINARY_DIR}/version.txt" "${DLT_PROJECT_VERSION_MAJOR}.${DLT_PROJECT_VERSION_MINOR}.${DLT_PROJECT_VERSION_PATCH}")
file(WRITE "${CMAKE_BINARY_DIR}/full_version.txt" "${DLT_PROJECT_VERSION_MAJOR}.${DLT_PROJECT_VERSION_MINOR}.${DLT_PROJECT_VERSION_PATCH}-${DLT_VERSION_SUFFIX}")

if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
    set(LINUX TRUE)
endif()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()

find_package(Qt5 "5" REQUIRED COMPONENTS Core Network Widgets SerialPort PrintSupport)

if(Qt5Core_VERSION VERSION_LESS "5.5.1")
    # Presumably Qt5Core implies all dependent libs too
    message(FATAL_ERROR "QT minimum version required: 5.5.1")
endif()

set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTOUIC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

get_target_property(DLT_QT5_LIBRARY_PATH Qt5::Core LOCATION)
get_filename_component(DLT_QT5_LIB_DIR ${DLT_QT5_LIBRARY_PATH} DIRECTORY)

# Add Qt to the RPATH, so that there is no need to set LD_LIBRARY_PATH at runtime if Qt is installed in a non-standard location
option(DLT_USE_QT_RPATH "Use RPATH for QT_LIBRARY_PATH to support non-standard QT install locations" ON)

# Injection of the GCC-specific compilation flags
if(CMAKE_COMPILER_IS_GNUCXX)
    message(STATUS "GCC detected, adding compile flags")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
    add_definitions("-Wall" "-Wextra" "-pedantic" "-Wno-variadic-macros" "-Wno-strict-aliasing" "-fPIC")
endif()

add_compile_definitions(QT5)

option(DLT_USE_STANDARD_INSTALLATION_LOCATION "Use standard GNU installation locations" OFF)
if(NOT WIN32)
    if(NOT DLT_APP_DIR_NAME)
        set(DLT_APP_DIR_NAME "DLTViewer")
        if(APPLE)
            set(DLT_APP_DIR_NAME "DLTViewer.app")
        endif()
    endif()
    if(DLT_USE_STANDARD_INSTALLATION_LOCATION)
        include(GNUInstallDirs)
        set(DLT_PLUGIN_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_LIBDIR}/dlt-viewer/plugins")
        set(DLT_RESOURCE_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_DATADIR}/dlt-viewer")
        set(DLT_EXECUTABLE_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_BINDIR}")
        set(DLT_LIBRARY_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_LIBDIR}")
    else()
        if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
            set(CMAKE_INSTALL_PREFIX "DLTViewer")
        endif()
        if(NOT DLT_PLUGIN_INSTALLATION_PATH)
            set(DLT_PLUGIN_INSTALLATION_PATH "${DLT_APP_DIR_NAME}/usr/bin/plugins")
        endif()
        if(NOT DLT_RESOURCE_INSTALLATION_PATH)
            set(DLT_RESOURCE_INSTALLATION_PATH "${DLT_APP_DIR_NAME}/usr/share")
        endif()
        if(NOT DLT_EXECUTABLE_INSTALLATION_PATH)
            set(DLT_EXECUTABLE_INSTALLATION_PATH "${DLT_APP_DIR_NAME}/usr/bin")
        endif()
        if(NOT DLT_LIBRARY_INSTALLATION_PATH)
            set(DLT_LIBRARY_INSTALLATION_PATH "${DLT_APP_DIR_NAME}/usr/lib")
        endif()
    endif()
else()
    if(NOT DLT_APP_DIR_NAME)
        set(DLT_APP_DIR_NAME "./")
    endif()
    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
        # AppData is a modern install location. No Admin rights required.
        file(TO_CMAKE_PATH "$ENV{LOCALAPPDATA}/Programs/dlt-viewer" CMAKE_INSTALL_PREFIX)
        set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "..." FORCE)
    endif()

    if(NOT DLT_PLUGIN_INSTALLATION_PATH)
        set(DLT_PLUGIN_INSTALLATION_PATH "plugins")
    endif()
    if(NOT DLT_RESOURCE_INSTALLATION_PATH)
        set(DLT_RESOURCE_INSTALLATION_PATH ".")
    endif()
    if(NOT DLT_EXECUTABLE_INSTALLATION_PATH)
        set(DLT_EXECUTABLE_INSTALLATION_PATH ".")
    endif()
    if(NOT DLT_LIBRARY_INSTALLATION_PATH)
        set(DLT_LIBRARY_INSTALLATION_PATH ".")
    endif()
endif()

option(DLT_PARSER "Build DLT Parser" OFF)

if(DLT_PARSER)
    add_subdirectory(parser)
endif()

add_subdirectory(qdlt)
add_subdirectory(src)
add_subdirectory(plugin)

message(STATUS "\n\t** DLT Viewer Build Summary **")
message(STATUS "\tCMAKE_INSTALL_PREFIX:         ${CMAKE_INSTALL_PREFIX}")
message(STATUS "\tCMAKE_BUILD_TYPE:             ${CMAKE_BUILD_TYPE}")
message(STATUS "\tCMAKE_SYSTEM_PROCESSOR:       ${CMAKE_SYSTEM_PROCESSOR}")
message(STATUS "\tCMAKE_SYSTEM_NAME:            ${CMAKE_SYSTEM_NAME}")
message(STATUS "\tDLT_QT5_LIB_DIR:               ${DLT_QT5_LIB_DIR}\n")

# Must be last
include(scripts/windows/package.cmake)
include(scripts/linux/package.cmake)
include(scripts/darwin/package.cmake)

=== parser/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

add_executable(dlt-parser main.cpp
    mainwindow.cpp
    mainwindow.ui
    qdltparser.cpp)

target_link_libraries(dlt-parser Qt5::Widgets)

set_target_properties(dlt-parser PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
    INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN/../lib;>$<$<BOOL:${APPLE}>:@loader_path/../Frameworks;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT5_LIB_DIR}>")

    if(CMAKE_COMPILER_IS_GNUCXX)
    # https://stackoverflow.com/questions/45329372/ubuntu-recognizes-executable-as-shared-library-and-wont-run-it-by-clicking
    # https://forum.juce.com/t/cmake-executable-build-shows-up-as-shared-library-on-linux-mint/45503/6
    target_link_options(dlt-parser PRIVATE "-no-pie")
endif()

install(TARGETS dlt-parser
    DESTINATION "${DLT_EXECUTABLE_INSTALLATION_PATH}"
    # Underscore for NSIS compatibility https://gitlab.kitware.com/cmake/cmake/-/issues/19982
    COMPONENT dlt_parser)

install(FILES
    ../ReleaseNotes_Parser.txt
    DESTINATION "${DLT_EXECUTABLE_INSTALLATION_PATH}"
    COMPONENT dlt_parser)

=== plugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTOUIC ON)

function(add_plugin NAME)
    target_link_libraries(${NAME} qdlt Qt5::Widgets)

    set_target_properties(${NAME} PROPERTIES
        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/plugins
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/plugins
        INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN/../../lib;>$<$<BOOL:${APPLE}>:@loader_path/../../Frameworks;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT5_LIB_DIR}>")

    install(TARGETS ${NAME}
        DESTINATION "${DLT_PLUGIN_INSTALLATION_PATH}"
        COMPONENT ${NAME})
endfunction()

add_subdirectory(dltdbusplugin)
add_subdirectory(dltlogstorageplugin)
add_subdirectory(dltsystemviewerplugin)
add_subdirectory(dlttestrobotplugin)
add_subdirectory(dltviewerplugin)
add_subdirectory(filetransferplugin)
add_subdirectory(nonverboseplugin)

option(DLT_DUMMY_PLUGINS "Build Dummy plugins" OFF)
if(DLT_DUMMY_PLUGINS)
    add_subdirectory(dummycontrolplugin)
    add_subdirectory(dummyviewerplugin)
    add_subdirectory(dummycommandplugin)
    add_subdirectory(dummydecoderplugin)
endif()

=== qdlt/CMakeLists.txt ===
# SPDX-License-Identifier: MPL-2.0
#
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

add_library(qdlt SHARED
    dlt_common.c
    qdltipconnection.cpp
    qdlttcpconnection.cpp
    qdltudpconnection.cpp
    qdltserialconnection.cpp
    qdltmsg.cpp
    qdltfilter.cpp
    qdltfile.cpp
    qdltcontrol.cpp
    qdltconnection.cpp
    qdltbase.cpp
    qdltargument.cpp
    qdltfilterlist.cpp
    qdltfilterindex.cpp
    qdltdefaultfilter.cpp
    qdltmessagedecoder.cpp
    qdltpluginmanager.cpp
    qdltplugin.cpp
    qdltsegmentedmsg.cpp
    qdltoptmanager.cpp
    qdltsettingsmanager.cpp)

target_compile_definitions(qdlt PRIVATE
    BYTE_ORDER=LITTLE_ENDIAN
    PLUGIN_INSTALLATION_PATH="${DLT_PLUGIN_INSTALLATION_PATH}")

if(WIN32)
    target_compile_definitions(qdlt PRIVATE QDLT_LIBRARY QT_VIEWER)
else()
    target_compile_definitions(qdlt PRIVATE _TTY_POSIX_ QT_VIEWER)
endif()

target_include_directories(qdlt PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../src)

target_link_libraries(qdlt PUBLIC
    Qt5::Core
    Qt5::Network
    Qt5::Widgets
    Qt5::SerialPort)

if(WIN32)
    target_link_libraries(qdlt PUBLIC ws2_32)
endif()

set_target_properties(qdlt PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
    INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN;>$<$<BOOL:${APPLE}>:@loader_path;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT5_LIB_DIR}>")

install(TARGETS qdlt
    LIBRARY DESTINATION "${DLT_LIBRARY_INSTALLATION_PATH}"
    RUNTIME DESTINATION "${DLT_LIBRARY_INSTALLATION_PATH}"
    COMPONENT qdlt)

# Install QDLT SDK

if(WIN32)
    set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH "${DLT_EXECUTABLE_INSTALLATION_PATH}")
else()
    set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH ".")
endif()

install(TARGETS qdlt
    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/lib"
    COMPONENT qdlt_sdk)

install(DIRECTORY "."
    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/include"
    COMPONENT qdlt_sdk
    FILES_MATCHING PATTERN "*.h")

set(SDK_EXAMPLES
    dummycommandplugin
    dummycontrolplugin
    dummydecoderplugin
    dummyviewerplugin)

foreach(SDK_EXAMPLE IN ITEMS ${SDK_EXAMPLES})
    install(DIRECTORY "../plugin/${SDK_EXAMPLE}"
        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/src"
        COMPONENT qdlt_sdk)
endforeach()

=== src/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author

QT5_ADD_RESOURCES(UI_RESOURCES_RCC resources/resource.qrc)

add_executable(dlt-viewer
    main.cpp
    mainwindow.cpp
    project.cpp
    ecudialog.cpp
    applicationdialog.cpp
    contextdialog.cpp
    filterdialog.cpp
    plugindialog.cpp
    settingsdialog.cpp
    injectiondialog.cpp
    searchdialog.cpp
    multiplecontextdialog.cpp
    tablemodel.cpp
    filtertreewidget.cpp
    dltfileutils.cpp
    dltfileindexer.cpp
    dlttableview.cpp
    dltexporter.cpp
    fieldnames.cpp
    dltuiutils.cpp
    workingdirectory.cpp
    jumptodialog.cpp
    searchtablemodel.cpp
    pulsebutton.cpp
    plugintreewidget.cpp
    exporterdialog.cpp
    dltmsgqueue.cpp
    dltfileindexerthread.cpp
    dltfileindexerdefaultfilterthread.cpp
    mcudpsocket.cpp
    sortfilterproxymodel.cpp
    ${UI_RESOURCES_RCC}
    resources/dlt_viewer.rc)

target_link_libraries(dlt-viewer
    qdlt
    Qt5::Core
    Qt5::Network
    Qt5::Widgets
    Qt5::SerialPort)

if(CMAKE_COMPILER_IS_GNUCXX)
    # https://stackoverflow.com/questions/45329372/ubuntu-recognizes-executable-as-shared-library-and-wont-run-it-by-clicking
    # https://forum.juce.com/t/cmake-executable-build-shows-up-as-shared-library-on-linux-mint/45503/6
    target_link_options(dlt-viewer PRIVATE "-no-pie")
endif()

set_target_properties(dlt-viewer PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
    INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN/../lib;>$<$<BOOL:${APPLE}>:@loader_path/../Frameworks;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT5_LIB_DIR}>")

    install(TARGETS dlt-viewer
    DESTINATION "${DLT_EXECUTABLE_INSTALLATION_PATH}"
    # Underscore for NSIS compatibility https://gitlab.kitware.com/cmake/cmake/-/issues/19982
    COMPONENT dlt_viewer)

if(WIN32)
    set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH "${DLT_EXECUTABLE_INSTALLATION_PATH}")
else()
    set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH ".")
endif()

install(FILES
    ../LICENSE.txt
    ../MPL.txt
    ../README.md
    ../ReleaseNotes_Viewer.txt
    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}"
    COMPONENT dlt_viewer)
install(FILES
    ../doc/dlt_viewer_user_manual.pdf
    ../doc/dlt_viewer_plugins_programming_guide.pdf
    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/doc"
    COMPONENT documentation)
install(DIRECTORY
    ../filters
    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}"
    COMPONENT dlt_viewer)
install(DIRECTORY
    ../plugin/examples
    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/plugins"
    COMPONENT dlt_viewer)

include(cmake/${CMAKE_SYSTEM_NAME}.cmake OPTIONAL)

=== examples/dlt-speed-plugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of COVESA DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)

MESSAGE("  Searching for QWT !")
FIND_PATH(QWT_INCLUDE_DIR NAMES qwt.h PATHS
  /usr/include
  /usr/local/include
  "$ENV{LIB_DIR}/include" 
  "$ENV{INCLUDE}" 
  PATH_SUFFIXES qwt-qt5 qwt
  )

FIND_LIBRARY(QWT_LIBRARY NAMES qwt qwt5 qwt-qt5 PATHS 
  /usr/lib
  /usr/local/lib
  "$ENV{LIB_DIR}/lib" 
  "$ENV{LIB}/lib" 
  )

IF (QWT_INCLUDE_DIR AND QWT_LIBRARY)
  SET(QWT_FOUND TRUE)
ENDIF (QWT_INCLUDE_DIR AND QWT_LIBRARY)


IF (QWT_FOUND)
  IF (NOT QWT_FIND_QUIETLY)
    MESSAGE(STATUS "Found QWT lib: ${QWT_LIBRARY}")
    MESSAGE(STATUS "Found QWT include: ${QWT_INCLUDE_DIR}")
  ENDIF (NOT QWT_FIND_QUIETLY)
ELSE (QWT_FOUND)
  IF (QWT_FIND_REQUIRED)
    MESSAGE(FATAL_ERROR "Could not find QWT")
  ENDIF (QWT_FIND_REQUIRED)
ENDIF (QWT_FOUND)  


# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

add_library(speedplugin MODULE speedplugin.cpp
                               form.cpp
                               ${UI_HEADERS})

target_include_directories(speedplugin PUBLIC ${QWT_INCLUDE_DIR})
target_link_libraries(speedplugin qdlt Qt5::Widgets ${QWT_LIBRARY})
install(TARGETS speedplugin DESTINATION deploy/plugins)

=== plugin/dltdbusplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of COVESA DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

add_library(dltdbusplugin MODULE dltdbusplugin.cpp
    form.cpp
    dbus.cpp
    ${UI_HEADERS})

target_link_libraries(dltdbusplugin qdlt Qt5::Widgets )

add_plugin(dltdbusplugin)

=== plugin/dltlogstorageplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of COVESA DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

add_library(dltlogstorageplugin MODULE dltlogstorageconfigcreatorplugin.cpp
    logstorageconfigcreatorform.cpp
    logstoragefilter.cpp
    ${UI_HEADERS})

target_link_libraries(dltlogstorageplugin qdlt Qt5::Widgets )

add_plugin(dltlogstorageplugin)

=== plugin/dltsystemviewerplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

add_library(dltsystemviewerplugin MODULE
    dltsystemviewerplugin.cpp
    form.cpp
    ${UI_HEADERS})

target_link_libraries(dltsystemviewerplugin qdlt Qt5::Widgets )

add_plugin(dltsystemviewerplugin)

=== plugin/dlttestrobotplugin/CMakeLists.txt ===
#
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

add_library(dlttestrobotplugin MODULE dlttestrobotplugin.cpp
   form.cpp
   ${UI_HEADERS})

target_link_libraries(dlttestrobotplugin qdlt Qt5::Widgets )
add_plugin(dlttestrobotplugin)

=== plugin/dltviewerplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

add_library(dltviewerplugin MODULE
    dltviewerplugin.cpp
    form.cpp
)

add_plugin(dltviewerplugin)

=== plugin/dummycontrolplugin/CMakeLists.txt ===
#
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

add_library(dummycontrolplugin MODULE dummycontrolplugin.cpp
   form.cpp
   ${UI_HEADERS})

target_link_libraries(dummycontrolplugin qdlt Qt5::Widgets )

add_plugin(dummycontrolplugin)

=== debian/changelog ===
dlt-viewer (2.23.0+dfsg-3) unstable; urgency=medium

  * debian/patches/332.patch:
    - Make sure git is optionally required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2023 10:34:18 +0100

dlt-viewer (2.23.0+dfsg-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * debian/rules: Ensure reproducible timestamps (Closes: #1021789)

  [ Gianfranco Costamagna ]
  * Mark dlt-viewer-dev M-A: same

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2023 09:46:05 +0100

dlt-viewer (2.23.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.23.0+dfsg
  * Bump watch file to 4
  * Bump std-version to 4.6.2
  * Switch from GENIVI to COVESA
  * Fix headers installation in dev package
  * Fix png installation path after upstream change
  * Remove patch now upstream
  * Fix CMake changes in variables names
  * debian/patches/329.patch:
    - Add patch proposed upstream to stop setting RPATH to qdlt
  * Don't install static library anymore Rework the installation of share folder
  * Also install README.md file
  * Add installation of example files
  * debian/patches/330.patch:
    - Add proposed patch to fix installation of useless files when SDK is off
  * debian/patches/331.patch:
    - Add proposed patch to build twice

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jan 2023 23:14:59 +0100

=== debian/control ===
Source: dlt-viewer
Section: devel
Priority: optional
Maintainer: Stefan Potyra <stefan@potyra.de>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Aigars Mahinovs <aigarius@debian.org>,
 Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 13),
 qtbase5-dev,
 qtdeclarative5-dev,
 libqt5serialport5-dev,
 cmake,
 asciidoc,
 dblatex
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/COVESA/dlt-viewer
Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer
Vcs-Git: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer.git

Package: dlt-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Viewer for COVESA DLT traces
 The Diagnostic Log and Trace Viewer is an application that can send and
 receive control messages to the DLT daemon, e.g., to set individual log
 levels of applications and contexts or get the list of applications
 and contexts registered in the DLT daemon.

Package: dlt-viewer-dev
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Viewer for COVESA DLT traces - development files
 The Diagnostic Log and Trace Viewer is an application that can send and
 receive control messages to the DLT daemon, e.g., to set individual log
 levels of applications and contexts or get the list of applications
 and contexts registered in the DLT daemon.
 .
 This package contains the development files for plugin development.

## dlt-viewer 2.24.0+dfsg

=== debian/changelog ===
dlt-viewer (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.24.0+dfsg
  * Drop upstream patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jun 2023 23:06:46 +0200

## dlt-viewer 2.25.0%2Bdfsg

=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -53,19 +53,21 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
 target_link_libraries(qdlt PUBLIC
-    Qt5::Core
-    Qt5::Network
-    Qt5::Widgets
-    Qt5::SerialPort)
+    ${QT_PREFIX}::Core
+    ${QT_PREFIX}::Network
+    ${QT_PREFIX}::Widgets
+    ${QT_PREFIX}::SerialPort)
 
 if(WIN32)
     target_link_libraries(qdlt PUBLIC ws2_32)
 endif()
 
-set_target_properties(qdlt PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
-    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
-    INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN;>$<$<BOOL:${APPLE}>:@loader_path;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT5_LIB_DIR}>")
+if(DLT_USE_QT_RPATH)
+    set_target_properties(qdlt PROPERTIES
+        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
+        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
+        INSTALL_RPATH "$ORIGIN;$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT_LIB_DIR}>")
+ endif()
 
 install(TARGETS qdlt
     LIBRARY DESTINATION "${DLT_LIBRARY_INSTALLATION_PATH}"
@@ -80,12 +82,24 @@
     set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH ".")
 endif()
 
-install(TARGETS qdlt
-    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/lib"
-    COMPONENT qdlt_sdk)
+if(DLT_INSTALL_SDK)
+    install(TARGETS qdlt
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/lib"
+        COMPONENT qdlt_sdk)
+    install(DIRECTORY "."
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/include/qdlt"
+        COMPONENT qdlt_sdk
+        FILES_MATCHING PATTERN "*.h")
+
+foreach(SDK_EXAMPLE IN ITEMS ${SDK_EXAMPLES})
+    install(DIRECTORY "../plugin/${SDK_EXAMPLE}"
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/src"
+        COMPONENT qdlt_sdk)
+endforeach()
+endif()
 
 install(DIRECTORY "."
-    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/include"
+    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/include/qdlt"
     COMPONENT qdlt_sdk
     FILES_MATCHING PATTERN "*.h")
 
@@ -97,6 +111,6 @@
 
 foreach(SDK_EXAMPLE IN ITEMS ${SDK_EXAMPLES})
     install(DIRECTORY "../plugin/${SDK_EXAMPLE}"
-        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/src"
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/src"
         COMPONENT qdlt_sdk)
 endforeach()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,11 @@
 # List of changes:
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 
-QT5_ADD_RESOURCES(UI_RESOURCES_RCC resources/resource.qrc)
+if("${QT_PREFIX}" STREQUAL "Qt6")
+    QT6_ADD_RESOURCES(UI_RESOURCES_RCC resources/resource.qrc)
+else()
+    QT5_ADD_RESOURCES(UI_RESOURCES_RCC resources/resource.qrc)
+endif()
 
 add_executable(dlt-viewer
     main.cpp
@@ -51,10 +55,10 @@
 
 target_link_libraries(dlt-viewer
     qdlt
-    Qt5::Core
-    Qt5::Network
-    Qt5::Widgets
-    Qt5::SerialPort)
+    ${QT_PREFIX}::Core
+    ${QT_PREFIX}::Network
+    ${QT_PREFIX}::Widgets
+    ${QT_PREFIX}::SerialPort)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
     # https://stackoverflow.com/questions/45329372/ubuntu-recognizes-executable-as-shared-library-and-wont-run-it-by-clicking
@@ -64,7 +68,7 @@
 
 set_target_properties(dlt-viewer PROPERTIES
     RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
-    INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN/../lib;>$<$<BOOL:${APPLE}>:@loader_path/../Frameworks;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT5_LIB_DIR}>")
+    INSTALL_RPATH "$ORIGIN/../lib;$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT_LIB_DIR}>")
 
     install(TARGETS dlt-viewer
     DESTINATION "${DLT_EXECUTABLE_INSTALLATION_PATH}"
@@ -77,18 +81,21 @@
     set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH ".")
 endif()
 
-install(FILES
-    ../LICENSE.txt
-    ../MPL.txt
-    ../README.md
-    ../ReleaseNotes_Viewer.txt
-    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}"
-    COMPONENT dlt_viewer)
-install(FILES
-    ../doc/dlt_viewer_user_manual.pdf
-    ../doc/dlt_viewer_plugins_programming_guide.pdf
-    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/doc"
-    COMPONENT documentation)
+if(DLT_INSTALL_SDK)
+    install(FILES
+        ../LICENSE.txt
+        ../MPL.txt
+        ../README.md
+        ../ReleaseNotes_Viewer.txt
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}"
+        COMPONENT dlt_viewer)
+    install(FILES
+        ../doc/dlt_viewer_user_manual.pdf
+        ../doc/dlt_viewer_plugins_programming_guide.pdf
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/doc"
+        COMPONENT documentation)
+endif()
+
 install(DIRECTORY
     ../filters
     DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}"

## dlt-viewer 2.25.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 
 cmake_minimum_required (VERSION 3.15)
-
+# implicitly calls version checks
 include(scripts/windows/version.cmake)
 include(scripts/linux/version.cmake)
 
@@ -39,23 +39,22 @@
     set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
 endif()
 
-find_package(Qt5 "5" REQUIRED COMPONENTS Core Network Widgets SerialPort PrintSupport)
-
-if(Qt5Core_VERSION VERSION_LESS "5.5.1")
-    # Presumably Qt5Core implies all dependent libs too
-    message(FATAL_ERROR "QT minimum version required: 5.5.1")
-endif()
-
 set (CMAKE_AUTOMOC ON)
 set (CMAKE_AUTOUIC ON)
+set (CMAKE_AUTORCC ON)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-get_target_property(DLT_QT5_LIBRARY_PATH Qt5::Core LOCATION)
-get_filename_component(DLT_QT5_LIB_DIR ${DLT_QT5_LIBRARY_PATH} DIRECTORY)
+get_target_property(DLT_QT_LIBRARY_PATH ${QT_PREFIX}::Core LOCATION)
+get_filename_component(DLT_QT_LIB_DIR ${DLT_QT_LIBRARY_PATH} DIRECTORY)
 
-# Add Qt to the RPATH, so that there is no need to set LD_LIBRARY_PATH at runtime if Qt is installed in a non-standard location
-option(DLT_USE_QT_RPATH "Use RPATH for QT_LIBRARY_PATH to support non-standard QT install locations" ON)
+if(NOT WIN32)
+    option(DLT_USE_QT_RPATH "Use RPATH for QT_LIBRARY_PATH to support non-standard QT install locations" ON)
+    if (DLT_USE_QT_RPATH)
+        # Add Qt to the RPATH, so that there is no need to set LD_LIBRARY_PATH at runtime if Qt is installed in a non-standard location
+        set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${DLT_QT_LIB_DIR}")
+    endif()
+endif()
 
 # Injection of the GCC-specific compilation flags
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -65,8 +64,14 @@
 endif()
 
 add_compile_definitions(QT5)
+set(QT5_QT6_COMPAT_VERSION "5.14")
+# add compiler definition to be used for >= Qt 5.14 code
+if(${QT_PREFIX}Core_VERSION VERSION_GREATER_EQUAL ${QT5_QT6_COMPAT_VERSION})
+    add_compile_definitions(QT5_QT6_COMPAT)
+endif()
 
 option(DLT_USE_STANDARD_INSTALLATION_LOCATION "Use standard GNU installation locations" OFF)
+option(DLT_INSTALL_SDK "Install in SDK location" ON)
 if(NOT WIN32)
     if(NOT DLT_APP_DIR_NAME)
         set(DLT_APP_DIR_NAME "DLTViewer")
@@ -77,7 +82,7 @@
     if(DLT_USE_STANDARD_INSTALLATION_LOCATION)
         include(GNUInstallDirs)
         set(DLT_PLUGIN_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_LIBDIR}/dlt-viewer/plugins")
-        set(DLT_RESOURCE_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_DATADIR}/dlt-viewer")
+        set(DLT_RESOURCE_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_DATADIR}")
         set(DLT_EXECUTABLE_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_BINDIR}")
         set(DLT_LIBRARY_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_LIBDIR}")
     else()
@@ -136,7 +141,7 @@
 message(STATUS "\tCMAKE_BUILD_TYPE:             ${CMAKE_BUILD_TYPE}")
 message(STATUS "\tCMAKE_SYSTEM_PROCESSOR:       ${CMAKE_SYSTEM_PROCESSOR}")
 message(STATUS "\tCMAKE_SYSTEM_NAME:            ${CMAKE_SYSTEM_NAME}")
-message(STATUS "\tDLT_QT5_LIB_DIR:               ${DLT_QT5_LIB_DIR}\n")
+message(STATUS "\tDLT_QT_LIB_DIR:               ${DLT_QT_LIB_DIR}\n")
 
 # Must be last
 include(scripts/windows/package.cmake)

=== examples/dlt-speed-app/CMakeLists.txt ===
#######
# Dlt Speed App - Example Spped Application
# @licence make begin@
#
# Copyright (C) 2011, BMW AG - Alexander Wenzel <alexander.aw.wenzel@bmw.de>
# 
# Copyright (C) 2011-2012, BMW AG - Alexander Wenzel <alexander.aw.wenzel@bmw.de>
#
# Contributions are licensed to the COVESA Alliance under one or more
# Contribution License Agreements.
# 
# This Source Code Form is subject to the terms of the
# Mozilla Public License, v. 2.0. If a  copy of the MPL was not distributed with
# this file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# @licence end@
########


# Minimum cmake version required
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)


# Name for the entire project
PROJECT(dlt-speed-app)


# Set version parameters
SET( ${PROJECT_NAME}_MAJOR_VERSION 0 )
SET( ${PROJECT_NAME}_MINOR_VERSION 2 )
SET( ${PROJECT_NAME}_PATCH_LEVEL 0 )
SET( ${PROJECT_NAME}_VERSION_STATE "RELEASE" )
SET( PRINT_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION}.${${PROJECT_NAME}_PATCH_LEVEL})
SET( PRINT_VERSION_STATE ${${PROJECT_NAME}_VERSION_STATE})

# Print version information
MESSAGE("VERSION ${PRINT_VERSION}")
MESSAGE("VERSION_STATE ${PRINT_VERSION_STATE}")



# Use PkgConfig to check for automtoive-dlt
FIND_PACKAGE(PkgConfig)
pkg_check_modules(DLT REQUIRED automotive-dlt)
  

# Set CMAKE variables to given values
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    SET(CMAKE_CXX_FLAGS "-std=gnu++0x")
endif()
SET(CMAKE_CXX_FLAGS "-Wall")
SET(CMAKE_CXX_FLAGS "-Wextra")
#SET(CMAKE_CXX_FLAGS "-pedantic")
#SET(CMAKE_LD_FLAGS "-ldlt")
SET(CMAKE_BUILD_TYPE Release)



# Add include directories to the build
INCLUDE_DIRECTORIES(
  src
  ${GLIB_INCLUDE_DIRS}
  ${DLT_INCLUDE_DIRS}
)


# Specify directories in which the linker will look for libraries
LINK_DIRECTORIES(
    ${LINK_DIRECTORIES}
    ${DLT_LIBRARY_DIRS}
)


# GLOB will generate a list of all files that match the globbing expressions and store it into "SOURCES"
FILE(GLOB SOURCES
   "*.c"
)

# Add an executable to the project using the specified source files
ADD_EXECUTABLE(
   dlt-speed-app
    ${SOURCES}
)


# Link a target to given libraries
TARGET_LINK_LIBRARIES(
   dlt-speed-app
   ${GLIB_LIBRARIES}
   ${DLT_LIBRARIES}
)


# Installing files
INSTALL(TARGETS dlt-speed-app
  RUNTIME DESTINATION bin
)

=== examples/dlt-speed-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -47,14 +47,9 @@
   ENDIF (QWT_FIND_REQUIRED)
 ENDIF (QWT_FOUND)  
 
-
-# cmake 2.8.12 doesn't have AUTOUIC ??
-QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )
-
 add_library(speedplugin MODULE speedplugin.cpp
-                               form.cpp
-                               ${UI_HEADERS})
+                               form.cpp)
 
 target_include_directories(speedplugin PUBLIC ${QWT_INCLUDE_DIR})
-target_link_libraries(speedplugin qdlt Qt5::Widgets ${QWT_LIBRARY})
+target_link_libraries(speedplugin qdlt ${QT_PREFIX}::Widgets ${QWT_LIBRARY})
 install(TARGETS speedplugin DESTINATION deploy/plugins)

=== plugin/dltsystemviewerplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,9 +15,8 @@
 
 add_library(dltsystemviewerplugin MODULE
     dltsystemviewerplugin.cpp
-    form.cpp
-    ${UI_HEADERS})
+    form.cpp)
 
-target_link_libraries(dltsystemviewerplugin qdlt Qt5::Widgets )
+target_link_libraries(dltsystemviewerplugin qdlt ${QT_PREFIX}::Widgets )
 
 add_plugin(dltsystemviewerplugin)

=== plugin/dltviewerplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,8 @@
 
 add_library(dltviewerplugin MODULE
     dltviewerplugin.cpp
-    form.cpp
-)
+    form.cpp)
+
+target_link_libraries(dltviewerplugin qdlt ${QT_PREFIX}::Widgets )
 
 add_plugin(dltviewerplugin)

=== debian/changelog ===
dlt-viewer (2.25.0+dfsg-2build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:18:57 +0000

dlt-viewer (2.25.0+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:03:41 +0000

dlt-viewer (2.25.0+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:14:59 +0000

dlt-viewer (2.25.0+dfsg-2) unstable; urgency=medium

  * Package real 2.25.0 tag as Debian specific patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jan 2024 12:08:30 +0100

dlt-viewer (2.25.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.25.0+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Aug 2023 08:49:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dlt-viewer
 Section: devel
 Priority: optional
-Maintainer: Stefan Potyra <stefan@potyra.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefan Potyra <stefan@potyra.de>
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Aigars Mahinovs <aigarius@debian.org>,
  Gianfranco Costamagna <locutusofborg@debian.org>

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Ensure texlive respects SOURCE_DATE_EPOCH for reproducible
# timestamps
export FORCE_SOURCE_DATE=1

doc/dlt_viewer_user_manual.pdf: doc/dlt_viewer_user_manual.tex
	cd doc && \
		pdflatex $(^F) && \
		pdflatex $(^F) && \
		cd ..
	$(RM) doc/dlt_viewer_user_manual.aux \
		doc/dlt_viewer_user_manual.log \
		doc/dlt_viewer_user_manual.out \
		doc/dlt_viewer_user_manual.toc

doc/dlt_viewer_plugins_programming_guide.pdf: doc/dlt_viewer_plugins_programming_guide.txt
	cd doc && sh convert.sh && cd ..

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DDLT_USE_STANDARD_INSTALLATION_LOCATION=ON \
	      -DDLT_USE_QT_RPATH=OFF \
	      -DDLT_PARSER=ON \
	      -DDLT_DUMMY_PLUGINS=ON \
	      -DDLT_INSTALL_SDK=OFF

override_dh_auto_install: doc/dlt_viewer_user_manual.pdf doc/dlt_viewer_plugins_programming_guide.pdf
	dh_auto_install

override_dh_clean:
	$(RM) doc/dlt_viewer_plugins_programming_guide.pdf \
		doc/dlt_viewer_user_manual.pdf \
		debian/doc-stamp
	dh_clean

## dlt-viewer 2.26.0+dfsg

=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,6 @@
 target_link_libraries(qdlt PUBLIC
     ${QT_PREFIX}::Core
     ${QT_PREFIX}::Network
-    ${QT_PREFIX}::Widgets
     ${QT_PREFIX}::SerialPort)
 
 if(WIN32)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
     dltfileindexer.cpp
     dlttableview.cpp
     dltexporter.cpp
+    dltimporter.cpp
     fieldnames.cpp
     dltuiutils.cpp
     workingdirectory.cpp
@@ -68,7 +69,7 @@
 
 set_target_properties(dlt-viewer PROPERTIES
     RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
-    INSTALL_RPATH "$ORIGIN/../lib;$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT_LIB_DIR}>")
+    INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN/../lib;>$<$<BOOL:${APPLE}>:@loader_path/../Frameworks;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT_LIB_DIR}>")
 
     install(TARGETS dlt-viewer
     DESTINATION "${DLT_EXECUTABLE_INSTALLATION_PATH}"

=== debian/changelog ===
dlt-viewer (2.26.0+dfsg-2) unstable; urgency=medium

  * Use a different approach to fix the build failure,
    by not including a c++ header in a c header, thanks <vifactor>

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 08:15:59 +0200

dlt-viewer (2.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.26.0+dfsg
  * Drop patches, upstream
  * Bump std-version to 4.7.0
  * switch to qt6
  * Update copyright years
  * Add patch proposed upstream 506.patch to rename a c file into
    cpp, fixing FTBFS with newer compiler and toolchains

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Jul 2024 20:49:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: dlt-viewer
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stefan Potyra <stefan@potyra.de>
+Maintainer: Stefan Potyra <stefan@potyra.de>
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Aigars Mahinovs <aigarius@debian.org>,
  Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper-compat (= 13),
- qtbase5-dev,
- qtdeclarative5-dev,
- libqt5serialport5-dev,
+ asciidoc,
+ dblatex,
  cmake,
- asciidoc,
- dblatex
-Standards-Version: 4.6.2
+ libxkbcommon-dev,
+ qt6-base-dev,
+ qt6-declarative-dev,
+ qt6-serialport-dev ,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/COVESA/dlt-viewer
 Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer

## dlt-viewer 2.26.1+dfsg

=== debian/changelog ===
dlt-viewer (2.26.1+dfsg-2) unstable; urgency=medium

  * Use another approach to fix the build failure, upstream proposed PR #513

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 18:00:09 +0200

dlt-viewer (2.26.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.26.1
  * Add gtest dependency to enable testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 08:18:02 +0200

## dlt-viewer 2.26.2+dfsg

=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,12 @@
     qdltplugin.cpp
     qdltsegmentedmsg.cpp
     qdltoptmanager.cpp
-    qdltsettingsmanager.cpp)
+    qdltsettingsmanager.cpp
+    qdltexporter.cpp
+    qdltimporter.cpp
+    fieldnames.cpp
+    dltmessagematcher.cpp
+    dltmessagematcher.h)
 
 target_compile_definitions(qdlt PRIVATE
     BYTE_ORDER=LITTLE_ENDIAN
@@ -113,3 +118,12 @@
         DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/src"
         COMPONENT qdlt_sdk)
 endforeach()
+
+
+find_package(GTest)
+# configure unit tests only if gtest found on the system
+if (GTest_FOUND)
+    message(STATUS "Tests enabled")
+    enable_testing()
+    add_subdirectory(tests)
+endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,9 +36,6 @@
     dltfileutils.cpp
     dltfileindexer.cpp
     dlttableview.cpp
-    dltexporter.cpp
-    dltimporter.cpp
-    fieldnames.cpp
     dltuiutils.cpp
     workingdirectory.cpp
     jumptodialog.cpp
@@ -51,8 +48,11 @@
     dltfileindexerdefaultfilterthread.cpp
     mcudpsocket.cpp
     sortfilterproxymodel.cpp
+    searchform.h
+    searchform.cpp
     ${UI_RESOURCES_RCC}
-    resources/dlt_viewer.rc)
+    resources/dlt_viewer.rc
+    )
 
 target_link_libraries(dlt-viewer
     qdlt

=== qdlt/tests/CMakeLists.txt ===
add_executable(test_tools
    test_dltmessagematcher.cpp
)
target_link_libraries(
  test_tools
  PRIVATE
    GTest::gtest_main
    qdlt
)

add_test(
  NAME test_tools
  COMMAND $<TARGET_FILE:test_tools>
)

=== debian/changelog ===
dlt-viewer (2.26.2+dfsg-2) unstable; urgency=medium

  * Enable testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Oct 2024 09:10:46 +0200

dlt-viewer (2.26.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.26.2+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Oct 2024 00:53:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,12 @@
 %:
 	dh $@
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test
+	./obj-*/qdlt/tests/test_tools
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	      -DDLT_USE_STANDARD_INSTALLATION_LOCATION=ON \

## dlt-viewer 2.27.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,8 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
-	./obj-*/qdlt/tests/test_tools
+	./obj-*/qdlt/tests/test_dltmessagematcher
+	./obj-*/qdlt/tests/test_dltoptmanager
 endif
 
 override_dh_auto_configure:

## dlt-viewer 2.27.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
     set(LINUX TRUE)
 endif()
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
@@ -135,6 +135,7 @@
 add_subdirectory(qdlt)
 add_subdirectory(src)
 add_subdirectory(plugin)
+add_subdirectory(commander)
 
 message(STATUS "\n\t** DLT Viewer Build Summary **")
 message(STATUS "\tCMAKE_INSTALL_PREFIX:         ${CMAKE_INSTALL_PREFIX}")

=== commander/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Commander project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author

add_executable(dlt-commander
    main.cpp
    optmanager.cpp)

target_link_libraries(dlt-commander
    qdlt
    ${QT_PREFIX}::Core
    ${QT_PREFIX}::Network
    ${QT_PREFIX}::SerialPort)

if(CMAKE_COMPILER_IS_GNUCXX)
    # https://stackoverflow.com/questions/45329372/ubuntu-recognizes-executable-as-shared-library-and-wont-run-it-by-clicking
    # https://forum.juce.com/t/cmake-executable-build-shows-up-as-shared-library-on-linux-mint/45503/6
    target_link_options(dlt-commander PRIVATE "-no-pie")
endif()

set_target_properties(dlt-commander PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
    INSTALL_RPATH "$ORIGIN/../lib;$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT_LIB_DIR}>")

    install(TARGETS dlt-commander
    DESTINATION "${DLT_EXECUTABLE_INSTALLATION_PATH}"
    # Underscore for NSIS compatibility https://gitlab.kitware.com/cmake/cmake/-/issues/19982
    COMPONENT dlt_cmd)

if(WIN32)
    set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH "${DLT_EXECUTABLE_INSTALLATION_PATH}")
else()
    set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH ".")
endif()

include(cmake/${CMAKE_SYSTEM_NAME}.cmake OPTIONAL)

=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,8 @@
     qdltimporter.cpp
     fieldnames.cpp
     dltmessagematcher.cpp
-    dltmessagematcher.h)
+    dltmessagematcher.h
+    qdltlrucache.hpp)
 
 target_compile_definitions(qdlt PRIVATE
     BYTE_ORDER=LITTLE_ENDIAN

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,6 @@
     dltmsgqueue.cpp
     dltfileindexerthread.cpp
     dltfileindexerdefaultfilterthread.cpp
-    mcudpsocket.cpp
     sortfilterproxymodel.cpp
     searchform.h
     searchform.cpp

=== qdlt/tests/CMakeLists.txt ===
add_executable(test_dltmessagematcher
    test_dltmessagematcher.cpp
)
target_link_libraries(
  test_dltmessagematcher
  PRIVATE
    GTest::gtest_main
    qdlt
)

add_test(
  NAME test_dltmessagematcher
  COMMAND $<TARGET_FILE:test_dltmessagematcher>
)


add_executable(test_dltoptmanager
    test_dltoptmanager.cpp
)

target_link_libraries(
  test_dltoptmanager
  PRIVATE
    GTest::gtest_main
    qdlt
)

add_test(
  NAME test_dltoptmanager
  COMMAND $<TARGET_FILE:test_dltoptmanager>
)

=== debian/changelog ===
dlt-viewer (2.27.0+dfsg-2) unstable; urgency=medium

  * Also cherry-pick upstream PR #586 to fix a new build
    failure due to new qt/gcc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Dec 2024 21:13:13 +0100

dlt-viewer (2.27.0+dfsg-1) unstable; urgency=medium

  * Fix build due to test renaming
  * d/copyright: Make files-excluded easier to understand
  * New upstream version 2.27.0+dfsg
  * Cherry-pick upstream proposed/merged build fixes:
    - Cherry-pick PR #594 from master branch
    - Update patch #513 from proposed PR

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Dec 2024 12:09:42 +0100

dlt-viewer (2.27.0-1) unstable; urgency=medium

  * New upstream version 2.27.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Dec 2024 23:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  asciidoc,
  dblatex,
  cmake,
+ libgtest-dev,
  libxkbcommon-dev,
  qt6-base-dev,
  qt6-declarative-dev,
